# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from six import with_metaclass
from azure.core import CaseInsensitiveEnumMeta


class CheckNameAvailabilityReason(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """The reason why the given name is not available.
    """

    INVALID = "Invalid"
    ALREADY_EXISTS = "AlreadyExists"

class CreatedByType(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """The type of identity that created the resource.
    """

    USER = "User"
    APPLICATION = "Application"
    MANAGED_IDENTITY = "ManagedIdentity"
    KEY = "Key"

class LedgerRoleName(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """LedgerRole associated with the Security Principal of Ledger
    """

    READER = "Reader"
    CONTRIBUTOR = "Contributor"
    ADMINISTRATOR = "Administrator"

class LedgerType(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """Type of the ledger. Private means transaction data is encrypted.
    """

    UNKNOWN = "Unknown"
    PUBLIC = "Public"
    PRIVATE = "Private"

class ProvisioningState(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """Object representing ProvisioningState for Confidential Ledger.
    """

    UNKNOWN = "Unknown"
    SUCCEEDED = "Succeeded"
    FAILED = "Failed"
    CANCELED = "Canceled"
    CREATING = "Creating"
    DELETING = "Deleting"
    UPDATING = "Updating"
